---
title: DataTransfer.mozClearDataAt()
slug: Web/API/DataTransfer/mozClearDataAt
tags:
  - API
  - Method
  - Non-standard
  - Reference
  - drag and drop
---
<div>{{APIRef("HTML Drag and Drop API")}}</div>

<p>{{ Non-standard_header() }}{{deprecated_header}}</p>

<p>The <strong><code>DataTransfer.mozClearDataAt()</code></strong> method removes the data associated with the given format for an item at the specified index. The index must be in the range from zero to the number of items minus one.</p>

<p>If the <code>format</code> argument is not provided, then the data associated with all formats is removed. If the format is not found, then this method has no effect. If the last format for the item is removed, the entire item is removed, reducing {{domxref("DataTransfer.mozItemCount","mozItemCount")}} by one.</p>

<p class="note">Removing the last format for a particular index removes that item entirely, shifting the remaining items down and changing their indices.</p>

<div class="note"><strong>Note:</strong> This method is Gecko-specific.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <em>dataTransfer</em>.mozClearDataAt([type], index);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em>type</em></dt>
 <dd>A {{domxref("DOMString","string")}} representing the type of the drag data to remove from the {{domxref("DataTransfer","drag data object")}}.</dd>
 <dt><em>index</em></dt>
 <dd>A <code>unsigned long</code> representing the index of the data to remove.</dd>
</dl>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt>void</dt>
 <dd></dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows the use of the <code>mozClearDataAt()</code> method in a {{event("dragend")}} event handler.</p>

<pre class="brush: js">function dragend_handler(event)
{
  var dt = event.dataTransfer;
  // Remove a text/html item
  dt.mozClearDataAt("text/html", 1);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>This method is not defined in any Web standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DataTransfer.mozClearDataAt")}}</p>

<h2 id="See_also">See also</h2>

<p><a> </a></p>
